namespace TechHelper.Features
{
	public interface IEmailSender
	{
		/// <summary>
		/// 使用 MailKit 通过邮箱发送邮件
		/// </summary>
		/// <param name="toEmail">收件人邮箱地址</param>
		/// <param name="subject">邮件主题</param>
		/// <param name="body">邮件正文 (支持 HTML)</param>
		/// <returns></returns>
		public Task SendEmailAsync(string toEmail,string subject, string body);

		public Task SendEmailAsync(string toEmail, string body);

		public Task SendEmailAuthcodeAsync(string toEmail, string authCode);
	}
}
